unit Unit2;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeEngine, ExtCtrls, TeeProcs, Chart;

type
  TForm2 = class(TForm)
    Chart1: TChart;
    procedure FormCreate(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
procedure Series1Click(Sender: TChartSeries; ValueIndex: Integer;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
  end;

var
  Form2: TForm2;

implementation

{$R *.dfm}
uses TeeSurfa;

var Series1: TContourSeries;

procedure TForm2.FormCreate(Sender: TObject);
begin
  Chart1.View3D:=false;
  Chart1.Legend.Visible:=false;

  Series1:=Chart1.AddSeries(TContourSeries) as TContourSeries;
  Series1.FillSampleValues();
  Series1.Marks.Visible:=true;
  Series1.OnClick:=Series1Click;
end;

procedure TForm2.Series1Click(Sender: TChartSeries; ValueIndex: Integer;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
var xk,yk, zk : Extended;
begin
  xk:=Series1.XValues[ValueIndex];
  yk:=Series1.YValues[ValueIndex];
  zk:=Series1.ZValues[ValueIndex];

  Chart1.Title.Text.Text:='(X: ' + FloatToStr(xk) + ', Y: ' + FormatFloat('#0.000',yk) + ', Z: ' + FloatToStr(zk) + ')';

end;

end.
